package org.netkernel.mod.performance.async;

import org.netkernel.module.standard.endpoint.StandardAccessorImpl;
import org.netkernel.layer0.nkf.INKFAsyncRequestListener;
import org.netkernel.layer0.nkf.INKFExpiryFunction;
import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;
import org.netkernel.layer0.nkf.NKFException;

public class AsyncTestAccessorBusy3 extends StandardAccessorImpl
{
	public AsyncTestAccessorBusy3()
	{	//declareThreadSafe();
	}
	
	public void onSource(INKFRequestContext aHelper) throws Exception
	{	
		Object result;
		if (aHelper.exists("arg:op"))
		{	result = aHelper.source("arg:op");
		}
		else
		{	result = "AsyncTestAccessor3";
		}
		Thread.sleep(10);
		aHelper.createResponseFrom(result).setExpiry(INKFResponse.EXPIRY_ALWAYS);
	}
}
