package org.netkernel.mod.performance.cache;

import org.netkernel.module.standard.endpoint.StandardAccessorImpl;
import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;

public class CachableComputeLightItem extends StandardAccessorImpl
{
	public CachableComputeLightItem()
	{
		declareThreadSafe();
	}
	
	public void onSource(INKFRequestContext aHelper) throws Exception
	{
		String itemString=aHelper.getThisRequest().getArgumentValue("item");
		long item=Long.parseLong(itemString);
		String kbString=aHelper.getThisRequest().getArgumentValue("Kb");
		int N=Integer.parseInt(kbString)*1024;
		StringBuilder sb=new StringBuilder(N);
		for (int i=0; i<N; i++)
		{	
			//long d=item;
			/*
			for (int j=0; j<i/512; j++)
			{	//long d1=j*d;
				d+=item;
			}
			*/
			//d=d%26;
			char c=(char)(i%26);
			sb.append((char)('a'+c));
		}
		INKFResponse resp=aHelper.createResponseFrom(sb.toString());
		
	}
	
}
