package org.netkernel.mod.performance.cache;

import org.netkernel.module.standard.endpoint.StandardAccessorImpl;
import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;

public class Relay extends StandardAccessorImpl
{
	public Relay()
	{	declareThreadSafe();
	}
	
	public void onSource(INKFRequestContext aContext) throws Exception
	{	String id=aContext.getThisRequest().getArgumentValue("id");
		INKFResponseReadOnly respIn=aContext.sourceForResponse(id);
		aContext.createResponseFrom(respIn);
	}
	
}
