package org.netkernel.mod.performance.nkmark;

import org.netkernel.module.standard.endpoint.StandardAccessorImpl;
import org.netkernel.layer0.nkf.INKFAsyncRequestListener;
import org.netkernel.layer0.nkf.INKFExpiryFunction;
import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;
import org.netkernel.layer0.nkf.NKFException;

public class SyncTestAccessor2 extends StandardAccessorImpl
{
	public SyncTestAccessor2()
	{	declareThreadSafe();
	}
	
	public void onSource(INKFRequestContext aHelper) throws Exception
	{	
		String s = aHelper.getThisRequest().getArgumentValue("op");
		int result = Integer.parseInt(s);
		int j=result;
		for (int i=0; i<20000; i++)
		{	j+=i;
		}
		INKFResponse resp = aHelper.createResponseFrom(j);
		resp.setExpiry(INKFResponse.EXPIRY_ALWAYS);
	}
}
