package org.netkernel.mod.performance.async;

import org.netkernel.module.standard.endpoint.StandardAccessorImpl;
import org.netkernel.layer0.nkf.INKFAsyncRequestListener;
import org.netkernel.layer0.nkf.INKFExpiryFunction;
import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;
import org.netkernel.layer0.nkf.NKFException;

public class AsyncTestAccessor3 extends StandardAccessorImpl
{
	public AsyncTestAccessor3()
	{	declareThreadSafe();
	}
	
	public void onSource(INKFRequestContext aHelper) throws Exception
	{	
		Object result;
		if (aHelper.exists("arg:op"))
		{	result = aHelper.source("arg:op");
		}
		else
		{	result = "AsyncTestAccessor3";
		}
		int j=0;
		for (int i=0; i<1000000; i++)
		{	j+=i;
		}
		aHelper.createResponseFrom(result).setExpiry(INKFResponse.EXPIRY_ALWAYS);
	}
}
