package org.netkernel.mod.performance.async;

import org.netkernel.module.standard.endpoint.StandardAccessorImpl;
import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;


public class SyncTestAccessorCPU extends StandardAccessorImpl
{
	private static final int N=1000;
	
	public SyncTestAccessorCPU()
	{	declareThreadSafe(); 
	}	
	
	public void onSource(INKFRequestContext aHelper) throws Exception
	{	
		for (int i=0; i<N; i++)
		{	INKFRequest req = aHelper.createRequest("active:async3cpu");
			req.addArgument("op", Integer.toString(i));
			aHelper.issueRequest(req);
		}
		aHelper.createResponseFrom("done");
	}
}
