package org.netkernel.mod.performance.cache;

import org.netkernel.module.standard.endpoint.StandardAccessorImpl;
import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;

public class CachableItem extends StandardAccessorImpl
{
	public CachableItem()
	{
		declareThreadSafe();
	}
	
	public void onSource(INKFRequestContext aHelper) throws Exception
	{
		String kbString=aHelper.getThisRequest().getArgumentValue("Kb");
		int N=Integer.parseInt(kbString)*1024;
		byte[] data=new byte[N];
		/*
		for (int i=0; i<N; i++)
		{	data[i]=(byte)i;
		}
		*/
		INKFResponse resp=aHelper.createResponseFrom(data);
		resp.setExpiry(INKFResponse.EXPIRY_NEVER);
		
	}
	
}
