package org.netkernel.mod.performance.harness;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class InitialiseAccessor extends StandardAccessorImpl
{
	public void postCommission(INKFRequestContext aContext) throws Exception
	{
		//put initial values for charts if they don't exist
		if (!aContext.exists("pds:/tools/nkmark10/test/sync"))
		{	aContext.sink("pds:/tools/nkmark10/test/sync", "<null/>");
		}
		if (!aContext.exists("pds:/tools/nkmark10/test/async"))
		{	aContext.sink("pds:/tools/nkmark10/test/async", "<null/>");
		}
		if (!aContext.exists("pds:/tools/nkmark10/test/cache"))
		{	aContext.sink("pds:/tools/nkmark10/test/cache", "<null/>");
		}
	}
}
