package org.netkernel.mod.performance.harness;

import org.netkernel.module.standard.endpoint.StandardAccessorImpl;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;

public class RefreshAccessor extends StandardAccessorImpl
{	
	public RefreshAccessor()
	{	declareThreadSafe(); 
	}	
	
	public void onSource(INKFRequestContext aContext) throws Exception
	{
		String id=aContext.getThisRequest().getArgumentValue("id");
		aContext.delete("fpds:/tools/nkmark10/test/"+id);
		INKFResponseReadOnly chart=aContext.sourceForResponse("res:/tools/nkmark10/chart/"+id);
		aContext.createResponseFrom(chart);
	}
	

}
